﻿using Gsiot.Server;
using SecretLabs.NETMF.Hardware.NetduinoPlus;

namespace LedController
{
    public class Program
    {
        public static void Main()
        {
            var ledActuator = new DigitalActuator
            {
                OutputPin = Pins.ONBOARD_LED
            };

            var webServer = new HttpServer
            {
               
                RequestRouting =
            {
                {
                    "PUT /led/target",
                    new ManipulatedVariable
                    {
                        FromHttpRequest =
                            CSharpRepresentation.TryDeserializeBool,
                        ToActuator = ledActuator.HandlePut
                    }.HandleRequest
                }
            }
            };

            webServer.Run();
        }

    }
}
