﻿using System;
using System.Threading;
using System.IO;
using System.Net;
using System.Text;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware.NetduinoPlus;


namespace NetduinoSimpleGetRequest
{
    public class Program
    {
        // Ressources http://msdn.microsoft.com/en-us/library/bb417055.aspx

        public static void Main()
        {
            var requestUri = "http://192.168.1.5/ApacheGETBOOL/data.txt";
            var Led = new OutputPort(Pins.ONBOARD_LED,false);
            
            int ressourceReseau = 0;

            while (true)
            {                
                ressourceReseau = Receive(requestUri);

                if (ressourceReseau == 1)
                {
                    Led.Write(true);
                }
                else
                {
                    Led.Write(false);
                }
                Thread.Sleep(500);
            }               
        }

        private static int Receive(string requestUri)
        {
            int value = 0;

            using (var request = (HttpWebRequest)WebRequest.Create(requestUri))
            {
                request.Method = "GET";

                // headers
                request.KeepAlive = false; //false si pb lors d'un transfert sur
                                        //un réseau local (serveur Apache)!

                // send request and receive response
                using (var response = (HttpWebResponse)request.GetResponse())
                {
                    // consume response
                    value = HandleResponse(response);
                }
            }
            return value;
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="response"></param>
        /// <returns></returns>
        public static int HandleResponse(HttpWebResponse response)
        {
            // response status line
            Debug.Print("HTTP/" + response.ProtocolVersion + " " +
                        response.StatusCode + " " +
                        response.StatusDescription);

            // response headers
            string[] headers = response.Headers.AllKeys;
            foreach (string name in headers)
            {
                Debug.Print(name + ": " + response.Headers[name]);
            }

            // response body
            var buffer = new byte[(int)response.ContentLength];
            Stream stream = response.GetResponseStream();
            int toRead = buffer.Length;
            while (toRead > 0)
            {
                // already read: buffer.Length - toRead
                int read = stream.Read(buffer, buffer.Length - toRead, toRead);
                toRead = toRead - read;
            }
            // Processing the received value
            char[] chars = Encoding.UTF8.GetChars(buffer);
            Debug.Print(new string(chars));
            int result = Convert.ToInt32(new string(chars));
            return result;
        }
    }
}
