﻿using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware;
using SecretLabs.NETMF.Hardware.NetduinoPlus;
using MFClassLibraryPut;


namespace NetduinoPUTClientLocal
{
    public class Program
    {
        public static void Main()
        { // Documentation des classes NETMF 4.3
            // http://msdn.microsoft.com/en-us/library/bb417055.aspx

            // Url du serveur Apache destinataire des données
            const string baseUri = "http://192.168.1.5/ApachePUTGETAjax/mesScripts/SaveDataXml.php";

            // Durée entre deux transferts
            const int samplingPeriod = 1000;   // 1 secondes

            // Grandeur(s) physique(s) mesurée(s)
            var I0 = new AnalogInput(Cpu.AnalogChannel.ANALOG_0);

            while (true)
            {
                PutClient.WaitUntilNextPeriod(samplingPeriod);
                int ADCout = I0.ReadRaw() / 4; // Résultat de la mesure sur 10 bits
                double value = (ADCout * 3.3) / 1023; // Mise à l'échelle
                string sample = "Tension_I0=" + value.ToString("f");
                Debug.Print("message: " + sample + "\n");
                PutClient.Send(baseUri, sample); // Emission requête PUT
            }
        }
    }
}