﻿using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware;
using SecretLabs.NETMF.Hardware.NetduinoPlus;
using MFClassLibraryPut;


namespace NetduinoPUTClientLocal
{
    public class Program
    {
        public static void Main()
        { // Documentation des classes NETMF 4.3
            // http://msdn.microsoft.com/en-us/library/bb417055.aspx

            // Url du serveur Apache destinataire des données
            const string baseUri = "http://192.168.1.5/ApachePUTGETV2/PutGetV2.php";

            // Durée entre deux transferts
            const int samplingPeriod = 10000;   // 10 secondes

            // Grandeur(s) physique(s) mesurée(s)
            var I0 = new AnalogInput(Cpu.AnalogChannel.ANALOG_0);
            var I1 = new AnalogInput(Cpu.AnalogChannel.ANALOG_1);

            while (true)
            {
                PutClient.WaitUntilNextPeriod(samplingPeriod);
                int ADCout = I0.ReadRaw() / 4; // Résultat sur 10 bits
                double valeur0 = (ADCout * 3.3) / 1023; // Mise à l'échelle
                ADCout = I1.ReadRaw() / 4; // Résultat sur 10 bits
                double valeur1 = (ADCout * 3.3) / 1023; // Mise à l'échelle
                string sample = "TensionI0=" + valeur0.ToString("f") + "&" + "TensionI1=" + valeur1.ToString("f");
                Debug.Print("message: " + sample + "\n");
                PutClient.Send(baseUri, sample); // Emission requête PUT
            }
        }
    }
}
