﻿using Gsiot.Server;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware.NetduinoPlus;

namespace VoltageMonitor
{
    public class Program
    {
        public static void Main()
        {
            // ground and power for the potentiometer
           
            var voltageSensor = new AnalogSensor  // Initialiseur d'objets
            {
                InputPin = Cpu.AnalogChannel.ANALOG_1,
                MinValue = 0.0,
                MaxValue = 3.3
            };

            var webServer = new HttpServer
            {
                RequestRouting =
                {
                   {
                       "GET /voltage/actual", 
                        new MeasuredVariable 
                        {
                         FromSensor = voltageSensor.HandleGet
                        }.HandleRequest
                    },

                    {
                        "GET /hello", context => { context.SetResponse("Hello","text/plain"); }
                    }
                }
            };

            webServer.Run();
        }
    }
}
